package com.ruoyi.dashboard.device.service;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ruoyi.ss.device.domain.DeviceQuery;
import com.ruoyi.ss.device.mapper.DeviceMapper;

@Service
public class DeviceDashboardService {

    @Autowired
    private DeviceMapper deviceMapper;

    /**
     * 查询设备数量，并分组
     */
    public List<Map<String, Object>> selectCountGroupBy(DeviceQuery query, List<String> groupBy) {
        return deviceMapper.selectCountGroupBy(query, groupBy);
    }



}
