package com.ruoyi.dashboard.index.domain.dto;

import java.time.LocalDate;

import org.springframework.format.annotation.DateTimeFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wjh
 *         2024/12/3
 */
@Data
public class BillDailyAmountQuery {

    @ApiModelProperty("日期（起始）")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate dateStart;

    @ApiModelProperty("日期（结束）")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate dateEnd;

    @ApiModelProperty("渠道ID")
    private Long channelId;

    @ApiModelProperty("店铺ID")
    private Long storeId;

}
