package com.ruoyi.dashboard.index.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author wjh
 * 2025/1/13
 */
@Data
public class BusinessStatisticsByStoreVO {

    @ApiModelProperty("订单总数")
    private Integer totalOrder;

    @ApiModelProperty("订单退款金额")
    private BigDecimal refundAmount;

    @ApiModelProperty("订单总金额")
    private BigDecimal totalAmount;

    @ApiModelProperty("订单总金额（扣掉退款）")
    private BigDecimal totalOrderAmount;

    @ApiModelProperty("明细列表")
    List<BusinessStatisticsVO> list;
}
