package com.ruoyi.dashboard.index.domain.vo;

import java.math.BigDecimal;
import java.time.LocalDate;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class StoreDailyIncomeVO {

    @ApiModelProperty("日期")
    private LocalDate date;

    @ApiModelProperty("订单金额")
    private BigDecimal billMoney;

    @ApiModelProperty("退款金额")
    private BigDecimal refundMoney;

    @ApiModelProperty("实收金额")
    private BigDecimal realAmount;

    @ApiModelProperty("订单数")
    private Integer orderCount;
}
