package com.ruoyi.ss.bonusRefund.domain;

import java.time.LocalDate;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wjh
 * 2025/1/25
 */
@Data
public class BonusRefundQuery extends BonusRefundVO{

    @ApiModelProperty("创建日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate createDate;

    @ApiModelProperty("分成类型")
    private List<String> bonusArrivalTypes;

    @ApiModelProperty("渠道ID")
    private Long channelId;
}
