package com.ruoyi.ss.recordBalance.domain;

import java.time.LocalDate;

import org.springframework.format.annotation.DateTimeFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wjh
 * 2024/7/22
 */
@Data
public class RecordBalanceQuery extends RecordBalance{

    @ApiModelProperty("用户名称")
    private String userName;

    @ApiModelProperty("创建日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate createDate;

}
