package com.ruoyi.ss.transactionBill.domain.bo;

import com.ruoyi.ss.account.domain.AccountVO;
import com.ruoyi.ss.channelWithdraw.domain.ChannelWithdrawVO;
import com.ruoyi.ss.transactionBill.domain.dto.WithdrawDTO;
import com.ruoyi.ss.user.domain.SmUserVO;
import lombok.Data;

/**
 * 提现BO
 * @author wjh
 * 2024/7/28
 */
@Data
public class WithdrawBO {

    // 用户信息
    private SmUserVO user;

    // 原始参数
    private WithdrawDTO dto;

    // 渠道
    private ChannelWithdrawVO channel;

    // 用户账号
    private AccountVO account;

}
