package com.ruoyi.ss.vip.domain;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wjh
 * 2024/12/9
 */
@Data
public class VipQuery extends VipVO{

    @ApiModelProperty("排除ID")
    private Long excludeId;

    @ApiModelProperty("VIP等级ID列表")
    private List<Long> vipLevelIds;

    @ApiModelProperty("VIP ID列表")
    private List<Long> ids;

    @ApiModelProperty("折扣最小值")
    private BigDecimal discountStart;

    @ApiModelProperty("折扣最大值")
    private BigDecimal discountEnd;

    @ApiModelProperty("剩余次数最小值")
    private BigDecimal surplusCountStart;

    @ApiModelProperty("剩余次数最大值")
    private BigDecimal surplusCountEnd;

    @ApiModelProperty("需要刷新的日期")
    private LocalDate nextResetDate;

    @ApiModelProperty("限制类型列表")
    private List<String> limitTypes;
}
