package com.ruoyi.common.utils.idcard;

import lombok.Data;

/**
 * 身份证对象
 *
 */
@Data
public class IdCardVo {

    /**  是否收费*/
    private String charge;

    private PersonInfo result;

    /**调用成功 0000  */
    private String result_code;
    private String result_msg;
    private String request_id;

    @Data
    public static class PersonInfo {
        /**  身份证号*/
        private String number;
        /**  地址*/
        private String address;
        /**  年*/
        private String year;
        /**  月*/
        private String month;
        /**  民族*/
        private String nation;
        /**  日*/
        private String day;
        /**  性别*/
        private String sex;
        /**  姓名*/
        private String name;
        /**  公安局*/
        private String authority;
        /**  有效期*/
        private String timelimit;

    }
}
