package com.ruoyi.dashboard.index.domain.vo;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wjh
 *         2024/10/8
 */
@Data
public class BusinessStatisticsVO {

    @ApiModelProperty("店铺ID")
    private Long storeId;

    @ApiModelProperty("店铺名称")
    private String storeName;

    @ApiModelProperty("设备名称")
    private String deviceName;

    @ApiModelProperty("设备ID")
    private Long deviceId;

    @ApiModelProperty("设备数量")
    private Integer deviceCount;

    @ApiModelProperty("订单数量")
    private Integer orderCount;

    @ApiModelProperty("总时长（秒）")
    private BigDecimal seconds;

    @ApiModelProperty("总电量（度）")
    private BigDecimal ele;

    @ApiModelProperty("订单金额")
    private BigDecimal orderAmount;

    @ApiModelProperty("实收金额")
    private BigDecimal arrivalAmount;

    @ApiModelProperty("退款金额")
    private BigDecimal refundAmount;

}
