package com.ruoyi.dashboard.index.mapper;

import com.ruoyi.dashboard.index.domain.dto.BusinessStatisticsQuery;
import com.ruoyi.dashboard.index.domain.vo.BusinessStatisticsVO;
import com.ruoyi.dashboard.index.domain.vo.DashboardBonusGroupByMchVO;
import com.ruoyi.ss.bonus.domain.BonusQuery;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author wjh
 * 2024/10/8
 */
public interface DashboardMapper {

    List<BusinessStatisticsVO> selectBusinessStatisticsByStore(BusinessStatisticsQuery query);

    List<BusinessStatisticsVO> selectBusinessStatisticsByDevice(BusinessStatisticsQuery query);

    List<DashboardBonusGroupByMchVO> selectBonusGroupByMch(@Param("query") BonusQuery query);

}


