package com.ruoyi.ss.abnormal.domain.dto;

import com.ruoyi.common.core.domain.ValidGroup;
import com.ruoyi.ss.abnormal.domain.Abnormal;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * @author wjh
 * 2024/4/30
 */
@Data
public class AbnormalSubmitDTO extends Abnormal {

    /** 设备编号 */
    @ApiModelProperty("设备编号")
    @NotNull(message = "设备编号不允许为空", groups = {ValidGroup.FrontCreate.class})
    @Size(max = 64, message = "设备编号长度不能超过64个字符")
    private String deviceNo;

}
