package com.ruoyi.ss.article.domain.vo;

import com.fasterxml.jackson.annotation.JsonView;
import com.ruoyi.common.core.domain.JsonViewProfile;
import com.ruoyi.ss.article.domain.SmArticle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author wjh
 * 2025/1/14
 */
@Data
public class ArticleMchHelpVO {

    @ApiModelProperty("分类名称")
    @JsonView(JsonViewProfile.App.class)
    private String classifyName;

    @ApiModelProperty("分类图片")
    @JsonView(JsonViewProfile.App.class)
    private String classifyPicture;

    @ApiModelProperty("文章列表")
    @JsonView(JsonViewProfile.App.class)
    List<SmArticle> articleList;
}
