package com.ruoyi.ss.billEleRecord.service;

import com.ruoyi.ss.billEleRecord.domain.BillEleRecord;
import com.ruoyi.ss.device.domain.vo.DeviceVO;
import com.ruoyi.ss.transactionBill.domain.vo.TransactionBillVO;

import java.time.LocalDateTime;

/**
 * @author wjh
 * 2025/1/4
 */
public interface BillEleRecordConverter {

    /**
     * 转为PO
     * @param bill 订单
     * @param device 设备
     * @param time 抄表时间
     * @param chargeTime 计费时间
     */
    BillEleRecord toPo(TransactionBillVO bill, DeviceVO device, LocalDateTime time, LocalDateTime chargeTime);

}
