package com.ruoyi.ss.payBill.service;

import com.ruoyi.ss.payBill.domain.PayBill;
import com.ruoyi.ss.transactionBill.domain.bo.RechargePayDepositBO;
import com.ruoyi.ss.transactionBill.domain.dto.RechargePayBO;
import com.ruoyi.ss.vipOrder.domain.bo.AddPayVipOrderBO;

/**
 * @author wjh
 * 2024/8/9
 */
public interface PayBillConverter {

    /**
     * 充值订单订单支付转为支付订单
     */
    PayBill toPoByRechargeMoney(RechargePayBO bo);

    /**
     * VIP订单BO 转为支付订单
     */
    PayBill toPoByVipOrderBO(AddPayVipOrderBO bo);
}
