package com.ruoyi.ss.snLog.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * Sn码更换日志对象 ss_sn_log
 *
 * @author ruoyi
 * @date 2025-03-31
 */
@Data
public class SnLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "设备id")
    @ApiModelProperty("设备id")
    private Long deviceId;

    @Excel(name = "操作人id")
    @ApiModelProperty("操作人id")
    private Long userId;

    @Excel(name = "设备Mac号")
    @ApiModelProperty("设备Mac号")
    private String mac;

    @Excel(name = "原sn")
    @ApiModelProperty("原sn")
    private String oldSn;

    @Excel(name = "当前sn")
    @ApiModelProperty("当前sn")
    private String newSn;

}
