package com.ruoyi.ss.transactionBill.domain.dto;

import com.ruoyi.common.core.domain.entity.SysDept;
import com.ruoyi.ss.app.domain.AppVO;
import com.ruoyi.ss.bonus.domain.Bonus;
import com.ruoyi.ss.channel.domain.ChannelVO;
import com.ruoyi.ss.device.domain.vo.DeviceVO;
import com.ruoyi.ss.transactionBill.domain.vo.TransactionBillVO;
import com.ruoyi.ss.user.domain.SmUserVO;
import lombok.Data;

import java.util.List;

/**
 * 充值订单支付BO
 * @author wjh
 * 2024/8/14
 */
@Data
public class RechargePayBO {
    // 待支付的订单
    private TransactionBillVO order;

    // 渠道
    private ChannelVO channel;

    // APP
    private AppVO app;

    // 用户
    private SmUserVO user;

    // 商户
    private SmUserVO mch;

    // 设备
    private DeviceVO device;

    // 平台
    private SysDept platform;

    // 分成列表
    private List<Bonus> bonusList;

}
