package com.ruoyi.ss.transactionBill.domain.vo;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 预存金额VO
 */
@Data
public class PrepayPriceVO {

    @ApiModelProperty("原价")
    private BigDecimal originalPrice;

    @ApiModelProperty("应付金额")
    private BigDecimal payPrice;

    @ApiModelProperty("减免金额")
    private BigDecimal discountAmount;
}
