package com.ruoyi.ss.user.domain.dto;

import java.math.BigDecimal;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class UserChangeBalanceDTO {
    
    @ApiModelProperty("用户ID")
    @NotNull(message = "用户ID不能为空")
    private Long userId;

    @ApiModelProperty("增加或减少的金额")
    @NotNull(message = "金额不能为空")
    private BigDecimal amount;

    @ApiModelProperty("原因")
    @NotNull(message = "原因不能为空")
    @Size(max = 200, message = "原因不能超过200个字符")
    private String reason;

}
