package com.ruoyi.ss.vip.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wjh
 * 2024/12/9
 */
@Data
public class VipVO extends Vip{

    @ApiModelProperty("用户名称")
    private String userName;

    @ApiModelProperty("VIP等级名称")
    private String vipLevelName;

    @ApiModelProperty("店铺商户ID")
    private Long storeMchId;

    @ApiModelProperty("VIP商户ID")
    private Long vipMchId;

    @ApiModelProperty("店铺名称")
    private String storeName;

    @ApiModelProperty("商户名称")
    private String mchName;

    @ApiModelProperty("是否在有效期内")
    private Boolean inValid;

    @ApiModelProperty("是否被限制")
    private Boolean inLimit;
}
