package com.ruoyi.web.controller.app;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.ss.storeType.domain.StoreTypeVO;
import com.ruoyi.ss.storeType.service.StoreTypeService;

import io.swagger.annotations.ApiOperation;

@RestController
@RequestMapping("/app/storeType")
public class AppStoreTypeController extends BaseController{

    @Autowired
    private StoreTypeService storeTypeService;

    @ApiOperation("获取全部店铺类型")
    @GetMapping("/listAll")
    public AjaxResult listAll() {
        List<StoreTypeVO> list = storeTypeService.selectListAllName();
        return success(list);
    }
    
}
